Streaming API
Streaming API
Stream
GET https://api.livestreaming.srarena.io/api/v2/streaming/events/{id}/stream
(was: https://api.livestreaming.imgarena.com/api/v2/streaming/events/{id}/stream)
This endpoint allows you to request playback URLs for events that are available on the Arena Live Console. These playback URLs will then need to be passed to a player client-side for successful playback.
Query Parameters
operatorId
integer
Your company's identifier. This is provided to you by the integrations team.
auth
string
The API token for this request. Please see chapter "Authentication" for more information on how to generate a token.
timestamp
integer
The timestamp linked to the API token for this request. The timestamp value is the number of milliseconds since the Unix epoch, i.e the number of milliseconds since midnight (UTC) on January 1st, 1970.
suppressErrors
boolean
If set to "true", this will wrap all API errors in a HTTP 200 OK response.
format
string
Can be "xml" or "json" based on the output format required. Default is JSON.
thumbnail
boolean
If set to "true", the response will also return a thumbnail URL for the event.
{
"eventId": 140898,
"hlsUrl": "https://dice-gaming-live-sa.akamaized.net/hls/live/2000290/140898-142985/playlist.m3u8?hdnea=st=1580410608~exp=1580410648~acl=/hls/live/2000290/140898-142985/playlist.m3u8!*_*_728*!*_*_412*!*media_*~id=22ec5624-ab31-4f45-81f0-225cc6d981bf~data=22ec5624-ab31-4f45-81f0-225cc6d981bf~hmac=20f607fba457f1529b918d0423f6fd91fc1c2fd7b285adaab9dd5df0b2d221b5&evId=140898&opId=86&cc=GB&dge=false&ua=UG9zdG1hblJ1bnRpbWUvNy4yMC4x&scId=142985",
"statusCode": 200
}{
"eventId": 140898,
"hlsUrl": "https://dice-gaming-live-sa.akamaized.net/hls/live/2000290/140898-142985/playlist.m3u8?hdnea=st=1580410713~exp=1580410753~acl=/hls/live/2000290/140898-142985/playlist.m3u8!*_*_728*!*_*_412*!*media_*~id=88938913-13c5-4835-97a9-297ae9f66960~data=88938913-13c5-4835-97a9-297ae9f66960~hmac=3903d36f0a5211f2dcc3d83357e7609a9804a03fe03f2d4bc803e704816bafa2&evId=140898&opId=86&cc=GB&dge=false&ua=UG9zdG1hblJ1bnRpbWUvNy4yMC4x&scId=142985",
"thumbnailUrl": "https://img.dge-prod.dicelaboratory.com/thumbnails/140898/original/latest.jpg",
"statusCode": 200
}<streamInfo>
<eventId>140898</eventId>
<hlsUrl>https://dice-gaming-live-sa.akamaized.net/hls/live/2000290/140898-142985/playlist.m3u8?hdnea=st=1580410736~exp=1580410776~acl=/hls/live/2000290/140898-142985/playlist.m3u8!*_*_412*!*_*_728*!*media_*~id=243f4e7c-b97a-4961-9706-025436b3f62f~data=243f4e7c-b97a-4961-9706-025436b3f62f~hmac=fa1cb0f81e4f1c7329cef4526726a544ca56b87b7b5b4a70f5a73842de0abcbf&evId=140898&opId=86&cc=GB&dge=false&ua=UG9zdG1hblJ1bnRpbWUvNy4yMC4x&scId=142985</hlsUrl>
<thumbnailUrl>https://img.dge-prod.dicelaboratory.com/thumbnails/140898/original/latest.jpg</thumbnailUrl>
<statusCode>200</statusCode>
</streamInfo>{
"statusCode": 400,
"statusText": "Bad Request",
"message": null
}{
"statusCode": 401,
"statusText": "Unauthorized",
"message": null
}{
"statusCode": 403,
"statusText": "Forbidden",
"message": null
}{
"statusCode": 404,
"statusText": "Not Found",
"message": null
}Last updated
Was this helpful?